 uses Crt;

var
  C: Char;

begin
  clrscr;
  Writeln ('Выход из программы: клавиша ESC');

  repeat
     Writeln;
   Writeln('Нажмите клавишу');
   C := Readkey;
   Writeln('Вы нажали ', C, ', чей ASCII код есть ', Ord(C), '.');
   Writeln;
  until (Ord(C)=27);
end.

